﻿using System;
using EasyNetQ;
using Wen.EasyNetQDemo.Model;

namespace Wen.EasyNetQDemo.Subscriber
{
    internal class Program
    {
        private static void Main(string[] args)
        {
            using (var bus = RabbitHutch.CreateBus("host=localhost"))
            {
                bus.Subscribe<Demo>("test", HandleDemo);

                Console.WriteLine("监听信息中...输入“return”将退出当前窗口！");
                Console.ReadLine();
            }
        }

        private static void HandleDemo(Demo demo)
        {
            Console.ForegroundColor = ConsoleColor.Green;
            Console.WriteLine($"Got message: {demo.Message}");
            Console.ResetColor();
        }
    }
}