﻿using System;
using EasyNetQ;
using Wen.EasyNetQDemo.Model;

namespace Wen.EasyNetQDemo.Publisher
{
    internal class Program
    {
        private static void Main(string[] args)
        {
            using (var bus = RabbitHutch.CreateBus("host=localhost"))
            {
                string input;
                Console.WriteLine("请输入信息。 如果是“esc” 将退出当前窗口。");

                while ((input = Console.ReadLine()) != "esc")
                {
                    bus.Publish(new Demo
                    {
                        Message = input
                    });
                }

            }
        }
    }
}